#!/bin/bash
curl -sSf https://tiup-mirrors.pingcap.com/install.sh | sh

ssh prod-brain-1 -o StrictHostKeyChecking=false echo Hello!
ssh prod-brain-2 -o StrictHostKeyChecking=false echo Hello!
ssh prod-brain-3 -o StrictHostKeyChecking=false echo Hello!
ssh prod-brain-mon  -o StrictHostKeyChecking=false echo Hello!
ssh staging-brain-1 -o StrictHostKeyChecking=false echo Hello!
ssh staging-brain-2 -o StrictHostKeyChecking=false echo Hello!
ssh staging-brain-3 -o StrictHostKeyChecking=false echo Hello!
ssh staging-brain-mon  -o StrictHostKeyChecking=false echo Hello!

ssh prod-brain-1 pacman -S sudo --noconfirm
ssh prod-brain-2 pacman -S sudo --noconfirm
ssh prod-brain-3 pacman -S sudo --noconfirm
ssh prod-brain-mon pacman -S sudo --noconfirm
ssh staging-brain-1 pacman -S sudo --noconfirm
ssh staging-brain-2 pacman -S sudo --noconfirm
ssh staging-brain-3 pacman -S sudo --noconfirm
ssh staging-brain-mon pacman -S sudo --noconfirm

/root/.tiup/bin/tiup cluster deploy \
  staging-brain v8.5.1 /root/staging_cluster.yaml \
  --user root -i ~/.ssh/id_rsa

/root/.tiup/bin/tiup cluster deploy \
  prod-brain v8.5.1 /root/prod_cluster.yaml \
  --user root -i ~/.ssh/id_rsa

tiup cluster start staging-brain --init
tiup cluster start prod-brain --init

